define function format-date($dt)
{
	let $refDateStr := string($dt)
	let $year := substring($refDateStr,1,4)
	let $month:= substring($refDateStr,6,2)
	let $day  := substring($refDateStr,9,2)
	return concat($month,'/',$day,'/',$year)
}

<html>
	<body>
	<h1>File Report</h1>
	<table border="1">
		<tr>
			<th>File Name</th>
			<th>Date Created</th>
			<th>Date Last Modified</th>
		</tr>
{for $file in document('directory.xml')//file
return
	<tr>
		<td>{string($file/@name)}</td>
		<td>{format-date($file/@dateCreated)}</td>
		<td>{format-date($file/@dateModified)}</td>
	</tr>
}
		</table>
	</body>
</html>
